# Class VariableNotFoundError

This error indicates that the user requested a variable that does not exist.

#### Hierarchy

- Error
  - VariableNotFoundError

- Defined in decoder/lib/errors.ts:99

#####
Index

### Constructors

constructor

### Properties

nameOrId

## Constructors

### constructor

- new VariableNotFoundError(nameOrId): VariableNotFoundError

- #### Parameters

  - ##### nameOrId: string | number

  #### Returns VariableNotFoundError

  Overrides Error.constructor

  - Defined in decoder/lib/errors.ts:101

## Properties

### nameOrId

nameOrId: string | number

- Defined in decoder/lib/errors.ts:100

Generated using TypeDoc